> 特性

```
[Authorize]
public IActionResult GetImgs()
{}
```

以上的Authorize就是特性，有关用户授权的特性，它的全称是AuthorizeAttribute.

```
public class AuthorizeAttribute : Attribute, IAuthorizeData
{

}
```
这里的特性都以Attribute结尾(惯例)，实现Atrribute这个基类，实现 IAuthorizeData接口。比如自定义一个特性：

```
public class ExampleAttribute : Attribute, IAuthorizeData
{

}
```

再使用自定义的特性ExamepleAttribute。

```
[Exameple]
public IActionResult GetImgs()
{}
```

特性背后的思想是面向切面(AOP)思想。面向切面(AOP)通常会把特性放在类上。




