> 开发环境

在本地点击调试按钮执行的环境

> 通过两种方式来查看环境，
- 第一种方式，点击项目右键-点击属性-调试-环境变量-查看ASPNETCORE-ENVIRONMENT属性值，如果是Development那就是开发环境，如果是Production那就是生产环境；
- 第二种方式，在项目properties有文件launchSettings.json文件，文件中有ASPNETCORE-ENVIRONMENT属性，它的属性值如果是Development那就是开发环境，如果是Production那就是生产环境。

在程序中，可以根据ASPNETCORE_ENVIRONMENT的属性值来编写不同的代码。比如在Startup.cs中：
```
public class Startup
{
	//IHostingEnvironment这个接口提供了判断是否是开发环境或生产环境
	public IHostingEnvrionment Environment{get;}

	//通过构造函数把接口注入进来，实际调用的时候使用的事接口的实现类
	public Startup(IHostingEnvironment environment)
	{
		Envinroment = environment.
	}

	if(Environment.IsDevelopment())
	{

	}
	else
	{

	}
}
```
如果ASPNETCORE_ENVIRONMENT的值是Production, 这时发布网站，那么网站就是在Produciton生产环境下运行。